/*
 Теоретичні питання
 1. Опишіть своїми словами як працює метод forEach.
Метод forEach потрібен коли нам необхідно одночасно отримати доступ до кількох елементів массиву, тобто пройтись по ним.
 2. Які методи для роботи з масивом мутують існуючий масив, а які повертають новий масив? Наведіть приклади.
Мутують існуючий масив: push(), pop(), unshift(), splice(), sort(), reverse().
Повертають новий масив: map(), filter(), slice(), concat(), flat().
 3. Як можна перевірити, що та чи інша змінна є масивом?
За допомогою методу isArray(), якщо true то зміна є масивом, якщо false то ні.
 4. В яких випадках краще використовувати метод map(), а в яких forEach()?
 Метод map() краще викорисутовувати для створення нового масиву.
 Для випадків коли необіхно зробити маніпуляції з діючим масивом, то краще використуовувати forEach().


 Практичні завдання
 1. Створіть масив з рядків "travel", "hello", "eat", "ski", "lift" та обчисліть кількість рядків з довжиною більше за 3 символи.
 Вивести це число в консоль.
 */

const stringArr = ["travel", "hello", "eat", "ski", "lift"];
for (i = 0; i < stringArr.length; i++) {
    if (stringArr[i].length > 3 ){
        console.log(stringArr[i])
    }
}

/*
 2. Створіть масив із 4 об'єктів, які містять інформацію про людей: {name: "Іван", age: 25, sex: "чоловіча"}. Наповніть різними даними.
 Відфільтруйте його, щоб отримати тільки об'єкти зі sex "чоловіча". Відфільтрований масив виведіть в консоль.
*/
const users = [
    {
        "name": "Артем",
        "age": 21,
        "sex": "чоловіча"
    },
    {
        "name": "Станіслава",
        "age": 40,
        "sex": "жіноча"
    },
    {
        "name": "Денис",
        "age": 22,
        "sex": "чоловіча"
    },
    {
        "name": "Даніела",
        "age": 12,
        "sex": "жіноча"
    }
]
users.forEach(user => {
    if (user.sex === "чоловіча"){
        console.log(user)
    }
})
